# Vetur

[![](https://vsmarketplacebadge.apphb.com/version-short/octref.vetur.svg?style=flat-square)](https://marketplace.visualstudio.com/items?itemName=octref.vetur)
[![](https://vsmarketplacebadge.apphb.com/installs-short/octref.vetur.svg?style=flat-square)](https://marketplace.visualstudio.com/items?itemName=octref.vetur)
[![](https://vsmarketplacebadge.apphb.com/rating-short/octref.vetur.svg?style=flat-square)](https://marketplace.visualstudio.com/items?itemName=octref.vetur)

Vue tooling for VS Code, powered by [vue-language-server](https://github.com/vuejs/vetur/tree/master/server).

Try it out with [Veturpack](https://github.com/octref/veturpack)!

🎉 VueConf 2017 [Slide](https://www.dropbox.com/sh/eb4w8k3orh0j391/AAB3HaJexbGLa2tCP14BI8oJa?dl=0) & [Video](https://www.youtube.com/watch?v=05tNXJ-Kric) 🎉


This extension is under heavy development.
You can [open an issue](https://github.com/vuejs/vetur/issues/new) for bugs or feature requests.

## Features

- [Syntax-highlighting](highlighting.md)
- [Snippet](snippet.md)
- [Emmet](emmet.md)
- [Linting / Error Checking](linting-error.md)
- [Formatting](formatting.md)
- [IntelliSense](intellisense.md)
- [Debugging](debugging.md)
- [Framework Support](framework.md) for [Element UI](http://element.eleme.io), [Onsen UI](https://onsen.io) and [Quasar Framework](https://quasar-framework.org)
- [VTI / CLI](vti.md)

## Quick Start

- Install [Vetur](https://marketplace.visualstudio.com/items?itemName=octref.vetur).
- Try it with [Veturpack](https://github.com/octref/veturpack), a pre-configured Vue boilerplate based on [Vuepack](https://github.com/egoist/vuepack).
- Refer to [setup](setup.md) page for setting up.
- Refer to each feature's own page for setting up specific features.

## Contributing

[Contribution Guide](https://github.com/vuejs/vetur/blob/master/.github/CONTRIBUTING.md).

## License

MIT © [Pine Wu](https://github.com/octref)
